Introduction

This document provides guidance on how to create an Office Word document to minimize the fidelity losses while translating to DAISY xml.


Features

Following features will need to be used as per the guidelines given in this document for minimum fidelity losses:

· UID metadata

· Tables

· Images and Image group

· Captions

· XML Data

· Footnotes & Endnotes

· Paragraph

· Lists

· Headings

· Page Numbers

· Block Quotes

· Abbreviation and Acronyms.

· Side Bars

· Table of content

· Custom styles

· MathML (Support for Mathematics)

· Multiple OOXML

· Language Detection

· Shapes And Objects

· Full Audio Support


UIDmetadata

  • An auto generated value will be displayed in a textbox “Document UID” on the user interface; this ID uniquely identifies a document. User can change this value if required.
  • If user deletes this value by leaving the field Document UID empty, an auto generated ID will be populated with a prefix “AUTO-UID” and a randomly generated number.


Tables

  • Complex tables in DAISY are termed as long tables crossing several pages of the print book. Whereas, in Open XML the complex tables includes table having rows/columns merged, table inside a table, table with background color and borders with different shading colors, tables with page-bordering, tables with text color, table having images.
  • The mapping of these complex tables from Open XML to DAISY is discouraged as it may lead to fidelity losses. Users are encouraged to use simple tables with rows and columns.
  • Simple tables with rows and columns, large tables spanning across one or more pages are implemented with minimum fidelity losses.
  • For a Table it is advisable to use Table level cells alignment.
  • In a scenario where a table is inserted in between the text, then tables will be displayed before the text.
  • It is highly recommended to use tables for tabular data and not for layout purposes. It is better to use styles specifically for the formatting you want to accomplish.
  • In the translation process, headings and sidebars etc. found inside a table will be converted to paragraphs. If you want to keep these as headings or side bars, please move them outside the table and use the appropriate style.


Images

· Simple images like .jpeg, .bmp, and .gif will be converted without any fidelity losses. However, users are highly recommended to use alternate text for image/image group. If a user is not entering alternate text for images then the output xml file will contain alternate text attribute without any value in it.

· Complex images like image embedded in any shape object, image in a table, different pictorial shapes like polygons, and clipart if implemented may lead to fidelity losses.

· Image groups should be implemented using a canvas. Ungrouped images inside the canvas may lead to fidelity loss.

· In the case of embedded objects such as images, object will be copied to the destination folder and the relationship will be set accordingly.

· Image if inserted in between the Text then Image will be displayed before the text.

· Image files with “.jpeg”, “.jpe” and “.jpg” extensions will all be converted to files with “.jpg” extension and copied to the destination folder.

· All other image files will be converted to files with “.png” extension and copied to the destination folder.

· File names of images copied and pasted into the word document will not be retained in the output xml and in the destination folder.

· Images which are imported from external resources will not be translated.

· Caption provided above the image will not be translated. For proper translation captions for images should be provided below the image.


Captions

  • The captions in DAISY are tightly coupled with their respective tables/image group. In Open XML the captions for simple images/image group/tables are loosely coupled.
  • The users are highly recommended to use the captions below the image(s) for image/image group and for the table the caption should be at the top of the table for minimum fidelity losses.
  • If images wrapped with text using other than “In line with Text” option, Captions will not be handled.

Caption for Grouped Images:

  • Users are recommended to use “Image-Caption (DAISY)” custom style for grouped images instead of inbuilt captions.


Notes and Note References

  • Footnotes will be populated at the end of the page. If the footnote is not populated at the end of the page, it will be populated in the end of the next page otherwise it will be populated at the end of the document.
  • If footnotes containing images and shapes, Images and shapes data will be lost.


Paragraphs

Styles like Intense Emphasis and Subtle Emphasis are not handled as it may lead to fidelity loss. For features like Emphasis and Strong, paragraph styles Emphasis and Strong should be used. However, users can also use Bold and Italic text styles for Strong and Emphasis features respectively.


Lists

· Numbered list will be converted as an ordered list.

· It’s recommended not to insert List of Bridgehead in a word document.

· Only the default list styles will be supported. New (Custom) list styles will not be supported.


Levels and Headings

· In a scenario where heading appears between running text then the translated sentence will be broken with heading information appearing as simple text.


BlockQuotes

  • Tables should not be inserted inside the Block quotes.


Abbreviations and Acronyms

  • Abbreviations and Acronyms are handled with Bookmark feature of the Word. All words marked as Abbreviation and Acronyms are internally marked as Bookmark with unique name which starts with “Abbreviations" and “Acronym” respectively. So user will see many bookmarks in the Bookmark dialog box of word, where the name of the bookmark starts with “Abbreviations" and “Acronym”. User should not delete these bookmarks. If user deletes the bookmark, they will be losing the Abbreviations and Acronyms information.
  • User should not use the name which starts with “Abbreviations" and “Acronym” for their bookmark
  • In Word 2003 and Word XP, application uses custom document properties to store the expansion of Abbreviations and Acronym. So user should not delete the custom document properties, where the name of the properties starts with “Abbreviations" and “Acronym”
  • In Word 2003 and Word XP, User should not use the name which starts with “Abbreviations" and “Acronym” for their custom document properties.


Page Numbers

  • User should not span a table across multiple pages without any text in the cell.
  • User should not start a new page with a blank line.
  • User should not start a new page with an image.
  • Table of content spanning multiple pages will be translated to one single page. For Example if the Table of contents is spanning across page 3 and 4, it will be considered as the entire Table of content in the page 3.
  • In multi column documents, each column in the page will be considered as a single page.
  • Page number with chapter number is not supported, so user should not format the page number with chapter numbers.
  • Formatting the page numbers by editing the field is not supported. User should use Page number format option for formatting the page numbers.
  • Only Simple type of page number from the gallery of Page number designs will be supported. Use Simple type of Page number design.
  • Page numbers are handled in the best possible way, still there may be some scenarios will not result in proper page numbers. For example
  • Some documents with empty pages (based on the user behavior) will not result in proper page numbers.
  • If the document is not having the proper page break information, it will result in improper page numbers.

  • It is highly recommended to use custom style for implementing page numbers, as the automatic page numbers may have some issues.


Sidebar

User should follow the following steps to insert a sidebar to a word document.

The steps are explained with the help of screenshots.

  • Below screenshot shows the options of Textbox highlighted after clicking on Insert tab in Tool bar.

  • Images and Tables with caption inside a sidebar may lead to some information lost. So, it is highly recommended to use custom style of caption for images inside a sidebar.

  • After clicking on Textbox option a user will get the various types of Sidebars which are available.
  • User can click on sidebar option and can insert it in word document.


Table of Contents

  • Word provides three types of built-in styles for Table of content. Manual Table of content is one of the styles. User should not use this option. User should use Automatic styles of Table of contents.
  • Table of contents should not be embedded with other features of Word, like sidebars, Table cell etc.
  • Table of content is always expected to be at the first page of the word document. In case it is in the middle of word document, then the converted Xml it will have it in First page.
  • After inserting the Table of Content user should not change the contents. If they change the content, it will produce unpredictable result.


Track Changes

Before translating the word document to Daisy document ensure that

  • “Track Changes” is OFF for a document.
  • All changes are either accepted or rejected.

Comments:

Comments in a document may not get translated.So before translating the word document to Daisy document ensure that document doesnot have comments.


Custom Styles

Image caption should be inserted at the Top or Bottom of an Image, if it is provided at both the places then the resultant caption will contain both the captions concatenated.

1. Prodnote for Images (Prodnote):

· Producer Note for images should always be inserted below the image without empty spaces..

· Prodnote for images inside the block quote will not be translated.

· Producer note inserted above the Image will not be captured under <imggroup> Tag.

2. LineNumbers:

· Line numbers for a bdo (bidirectionally oriented) paragraphs will not be translated.

· If line number custom style is applied for the first line of a paragraph, then empty <p> tags will occur in the output xml file.

3. Table Footer:

  • Table-Footer (DAISY) custom style is applied always to the last row of the table. This custom style for table will automatically be updated in the Table Tools tab on click of “Import Daisy Styles” button of the Accessibility tab as shown in the screen-shot below:

To apply this style, user has to select a required table and click on the Table-Footer (DAISY) style and also click on the “Table Row” check box as shown the screen-shot above.

Import Daisy Styles:

  • Import Daisy Styles: If the default styles (i.e. Default Paragraph Font, Normal, Table Normal, No List) of the document has been changed, when importing the Daisy styles from the template to the active document, all the default styles which are changed has been revert back to the original style. This makes the document structure to be changed.
  • To Import all the Daisy Styles from the template document to the Active document, “Import Daisy Styles” button need to be clicked.
  • There are around 35 daisy styles which needs to be imported to the active documnet. When all the styles are imported, “Import Daisy Styles” button should be disabled.
  • If a new style has been added or any style has been deleted in the template, and if the document which contains only the 35 daisy styles is opened, the button “Import Daisy Styles” needs to be again enabled.


MathML

· While translation if MathType software is not installed, the Mathematical Equations (created using MathType) in the document will be converted as Images (PNG Images).

· Reference to footnote should be made outside the equation block, as marking it inside marks the reference also as a Math Equation.

· Language support for MathML will not be provided.

· Headings and Styles should not be applied to Math Equations.

· In Command Line Utility, if Math Equations inserted through MathType software, then equations will not be translated.


Multiple OOXML

· Table of Contents of Sub documents will not be translated.

· Cover pages of sub documents will not be translated.

· Master Document should not have Anchor to a subdocument.

· Cover pages for both Master document and Subdocument will not be translated.

· Master document having subdocument should not be selected for Translating set of docs.

· While translating the set of documents, all the documents should be closed.

· Metadata information (Title, Creator etc) of sub documents will not be translated.

User should follow the following steps to create a master/sub document in the following environments.

Word XP:

Creating master document in Word XP:

1. Create a master/sub document in Word XP (.doc) format.

2. Save master/sub document in Word 2007(.docx) format.

While saving .doc file to .docx file, on click of “Save as” button the following window will be prompted to the user.

Users are advised to choose “No” option so that the document is saved in word 2007 format, but the extension of the document will be displayed as “.doc” in word editor, which should not be concerned..

In Word 2003 and Word XP:

Opening a Word 2003/XP document all sub documents will be closed (appear as Hyperlink) in word editor.

On clicking “Save as Daisy” button; the following window will be displayed to the user to open the subdocuments, User is advised to close all the documents opened before Translation.

If any document is left opened (Expanded hyperlink) following window will be prompted indicating some word document is open, close the document and proceed.

Again Click on “Save As DAISY” button the same window will appear even if all the documents are open, it is advised to ignore the message and click on “OK” button.

Clicking on “OK” Button the translation process will be initiated and all the subdocuments will be converted to single DTBOOK.xml.

Note: While translating the master document, all the sub documents should be in closed format (Hyperlinks Unexpanded).


Language Detection

Language feature works only at paragraph level. If user selects a part of a paragraph, the language information will not get translated properly. So the translation would be effective if user selects the entire paragraph or more than one paragraph.


Shapes and Objects

· In Command Line Utility, Shapes and objects will not be translated.

· Audio Books for a document containing Embedded objects will not be created. Example, a word document is embedded inside a word document. Users are advised to create audio books separately for the embedded documents.


Full Audio Suport

Full Audio Support:

· In Command Line Utility, option for generating audio files is not supported.

· To generate the audio files from DAISY Xml through Command Line, user should use Pipeline command line utility and it is available in Application Folder of Daisy Translator. For example, if you have installed DAISY Translator in “C:\Program Files\Sonata\Daisy Translator Addin Version 1.5.0.0”, then the Pipeline Command Line utility named as “pipeline-lite.bat” will be located in “C:\Program Files\Sonata\Daisy Translator Addin Version 1.5.0.0\pipeline-lite-ms”.


Introduction

This document gives guidance on installing the Open XML to DAISY XML translator application and instructions on how to convert an Office Open XML in Word into the DAISY XML format. Using screenshots (alt text is provided) the procedure for installing and converting a document is explained for the user to have a better understanding about the application. The whole procedure is explained step by step. Following are the features which are explained:

· Prerequisites for installing and using the Open XML to DAISY XML Translator Application.

· Features covered in this first release.

· Features planned in future releases.

· Installing the Open XML to DAISY XML Translator application.

· Conversion from Office Open XML in Word to the DAISY XML Format.

· Reader and Producer software.

· Authoring guidelines.

· Fidelity Losses.

· Accessibility ribbon


Pre-requisites for installing the Open XML to DAISY XML Translator

Following are the prerequisites for installing and converting documents:

· User should have .Net Framework 3.0 installed on his machine (Windows Vista comes with .Net Framework 3.0 we need to install it for other Operating Systems if not present).

· User should have installed either Microsoft office 2007 or Microsoft Office 2003/Microsoft Office XP with compatibility pack installed on his machine.

· User should install Microsoft Office compatibility pack for Word 2007 if using either Microsoft office 2003 or Microsoft office XP and .doc files (Office XP and 2003 file format) needs to be saved as .docx (Office 2007 file format) file before converting the document into DAISY XML format.

· In Microsoft Office 2007 environment, user should have Microsoft 2007 Primary Interop Assemblies (PIA) installed on his machine.

· In Microsoft Office 2003 environment, user should have Microsoft 2003 Primary Interop Assemblies (PIA) installed on his machine.

· User should have Java run time 1.5 installed on his machine.


Features

Following features are covered for this Translator:

· Dublin Core Metadata

· UID metadata

· Front matter, Book matter and rear matter mapping

· Levels and Headings

· Paragraphs

· Tables

· Lists

· Note’s and Note References

· Emphasis and Strong

· Superscript and Subscript

· Images

· Validity

· Captions

· Page Numbers

· Sidebar

· Abbreviations and Acronyms

· Language Detection

· Block quotes

· Anchor

· BDO (Bidirectional object)

· Citation

· Table of Contents

· Custom styles

· MathML (Support for Mathematics)

· Multiple OOXML documents

· Helper Wizard

· Full Audio Support

· Shapes and Objects

· Alternative Footnote


Installing the Add-In

This section details on the steps that should be followed while installing an Add-In:

Before installation user should close all office applications, as because it may cause some conflict.

Installing the Add-In From Setup.exe

Step: 1 Click on the DaisyAddinForWordSetup.exe.

File installation will start and user will be presented a window as shown below, which says welcome to DAISY Translator setup wizard, giving users option to either Cancel or choose next.

Click on Next button or just hit Enter.

Step 2: Now user will be presented a window as shown below, which shows “License Agreement”.

In this step user need to select the check box “I accept the terms in the License Agreement” and hit enter or click on Next button.

Step 3: In this step user should select an installation scope and hit enter or click on Next button.

Step 4: Now user will be presented a window as shown below, which says “Select Installation Folder”.

Hit enter or click on Next button. Users are given option to browse for folder either by hitting on change button or by entering (Alt + C) on the keyboard.

Step 5: Now user will be presented a window as shown below, which says “Confirm Installation”. Hit Enter or click on Install button.

Step 6: Now a progress window appears showing the progress of the installation.

Step 7: On successful installation "Installation complete" window will be shown. Hit enter or click on Close to complete the installation.

Step 8: Now user will be presented a window as shown below, which says “Completed the DAISY Translator Setup” with an option to open the Help file. Hit Enter or click on Finish button.

By selecting the “Show Help” option, this opens up help files giving instructions on installing Add-In and converting word documents to Daisy format.

Confirmation Procedure After Installation is complete

After the set up is complete user can confirm that the installation is successful by following the steps given below:

· Open a new word document.

· Click on Office button or hit Alt+F

· Ensure “Save As DAISY” appears in the menu.

· Ensure Accessibility tab appears in the menu


Save As DAISY Features Word 2007

After successful installation of the Add-in user should follow the following steps.

Step1: Click on office button (Top left hand corner of the Word 2007 user interface) or hit Alt+F

Step 2: Select “Save as DAISY menu” or Hit (Alt +F) +Y.

It will show four sub menus, as shown below

  1. DAISY XML (from Single docx): This sub menu will translate word2007 format to “DAISY XML” format.
  2. Full DAISY (from Single docx): This sub menu will show a sub menu “DAISYPipelineTTSNarrator” which will translate word 2007 to “DAISY DTBook”.
  3. DAISY XML (from Multiple docx): This sub menu will translate a group of documents into a single “DAISY XML” format.
  4. Full DAISY (from Multiple docx): This sub menu will show a sub menu “DAISYPipelineTTSNarrator” which will translate group of documents to “DAISY DTBook”.


Converting Word 2007 document to DAISY XML Format

To convert word2007 to DAISY XML format, user should follow the steps below.

Step 1: Open a document that needs to be translated into DAISY XML Format.

Step2: Ensure that document is saved before proceeding with the translation.

Step3: Click on office button (Top left hand corner of the Word 2007 user interface) or hit (Alt + F)

Step 4: Click on “Save as DAISY button” or Hit (Alt +F) +Y+S.

Step 5: If the document is a master sub document (current document having sub documents), the following dialog box will be displayed to the user.

On click of “Yes” button, the translation process will continue and it translates the current document along with sub documents included in it. Otherwise, it translates the current document excluding its sub documents. Before showing the Translation form, the user is presented with an Initializing Translation form as shown below.

Step 6: Now user is presented with a Translation form as shown below.

Translator form contains fields such as Destination, Document Title, Document creator, Document Publisher, Document UID; all these fields will be auto populated from the document properties modify or change these values if required and then click on “Translate” button or just hit Alt+T buttons on the keyboard.

Note: Keyboard users can navigate through the form using following options:

· Destination Field (Alt +D)

· Browse (Alt + B) to browse for destination folder.

· Title (Alt +I)

· Creator (Alt +C)

· Publisher (Alt +P)

· UID (Alt +U).

· Translate (Alt +T)

· Reset (Alt +R) to reset all the field values.

Step 6: On click of “Translate” button, Progress bar will show the progress of the translation as shown below.

Step 7: After successful translation a success message is given to the user. Click on Ok or press enter.

Step 8: If the translation is successful and if there were some fidelity loses, Fidelity lose dialog box will be provided with fidelity losses that occurred during translation.

Screen shot above shows the Fidelity loss message “Cover Pages not translated “ ,at the bottom left shown is a Hyperlink which says “Copy to Log file” which will create a log file(.txt file) giving description of all the Fidelity loss messages at the location specified by the user.

In case of “Master sub document, if an error occurs while translating the master document, “Daisy Translator - Validation error” dialog box will be displayed to the user with input documents and the error occurred in respective documents.

“Daisy translator – Validation error” window provides an option to open the Authoring guidelines documentation and also an option to save the log file which is having the information about validation errors that occurred during the translation.


Converting Word 2007 document to DAISY DTBook

To convert word2007 to DAISY DTBook, user should follow the steps below.

Step 1: Open a document that needs to be translated into DAISY DTBook.

Step2: Ensure that document is saved before proceeding with the translation.

Step3: Click on office button (Top left hand corner of the Word 2007 user interface) or hit Alt+F

Step 4: Clicking on “Full DAISY (from Single docx)” or press (Alt+F) +Y+A, a sub menu “DAISYPipelineTTSNarrator” will be shown. Click on “DAISYPipelineTTSNarrator” sub menu or Hit (Alt+F) +Y+A+D.

Step 5: If the document is a master sub document (current document having sub documents), the following dialog box will be displayed to the user.

On click of “Yes” button, the translation process will continue and it translates the current document along with sub documents included in it. Otherwise, it translates the current document excluding its sub documents. Before showing the Translation form, the user is presented with an Initializing Translation form as shown below.

Step 6: Now user is presented with a Translation form as shown below.

Translator form contains fields such as Output directory, Document Title, Document creator, Document Publisher, Document UID; all these fields will be auto populated from the document properties modify or change these values if required. Also, the form will have “Show Advance” button, on clicking or on pressing (Alt + V) it will expand the form as shown below.

The "Show Advanced" form contains the following fields:

1. DTBook Fix (drop-down list)

Selects whether to apply DTBook Fix routines to the input document. These routines try to clean and possibly repair the input DAISY XML document to enforce the best compatibility with the remaining steps. The "Apply DTBook Fix routines" option is recommended.

2. Apply sentence detection (check-box)

Selects whether to apply sentence detection to the input document text to enable a finer-grained audio synchronization.

3. MP3 Bitrate (drop-down list)

Selects the bit rate of the generated MP3 audio files. A higher value will result in better sound quality but the audio files will be larger. The default value is 32 kbit/s.

4. 2.02 href target (drop-down list)

Selects the SMIL element (text or par) to target by href URIs in the content document and navigation control file of the generated DAISY DTB. "text" is the default value but some DAISY players will behave more gracefully if "par" is selected.

On click of “Translate” button or on pressing Alt+T buttons on the keyboard the translation process will start.

Note: Keyboard users can navigate through the form using following options:

· Browse (Alt + B) to browse for destination folder.

· Title (Alt +I)

· Creator (Alt +C)

· Publisher (Alt +P)

· UID (Alt +U).

· Translate (Alt +T)

· Reset (Alt +R) to reset all the field values.

· Show Advanced (Alt + V)

· Hide Advanced (Alt + H)

Step 7: On click of “Translate” button, Progress bar will show the progress of the translation as shown below.

Step 8: After completing 100% the Progress bar will show “Initializing Audio Files Generation” as shown below.

Step 9: When the "Translating to DAISY" step is completed, the Pipeline Lite tool starts the DAISY XML to DAISY DTB translation and the user is presented with the "Pipeline Job Progress" dialog.

Step 10: A progress bar shows the progress of the translation and a label (below the progress bar) shows the name of the currently running step.

Note that the translation will take several minutes (and on some occasion’s even hours) for big documents.

Step 11: A "Cancel" button allows the user to prematurely abort the translation. Note that the Pipeline Lite process might not terminate immediately but wait for the current task to complete. Some temporary files may then be left in the output directory.

Step 12: When the translation completes successfully, the user is shown a "Pipeline Job Completed" dialog box displaying the message "Job Completed".

On press on the "Details" button, the dialog expands and the user is presented the list of Pipeline messages produced during the translation process.

The output directory will contain both a DAISY 2.02 DTB and DAISY 3 DTB (Z39.86-2005), sharing the same audio files.

Note that on some cases dummy headings may be added to the document to conform to the DAISY specification (this happens for instance when no heading were found in the entire input document).

Press the "OK" button to return to the Microsoft Word document.

Step 13: When errors occurred during the translation, the user will be shown a "Pipeline Job Failed" dialog box displaying the message indicating the detailed step where the translation failed.

On press on the "Details" button, the dialog expands and the user is presented the list of Pipeline messages produced during the translation process.

Refer to the "Troubleshooting" section for further information on what to do.

Press the "OK" button to return to the Microsoft Word document.

Step 4: If the translation is successful and if there were some fidelity loses, Fidelity lose dialog box will be provided with fidelity losses that occurred during translation.

Screen shot above shows the Fidelity loss message “Cover Pages not translated “ ,at the bottom left shown is a Hyperlink which says “Copy to Log file” which will create a log file(.txt file) giving description of all the Fidelity loss messages at the location specified by the user. On clicking OK (press enter) or Cancel a message will be shown to the user. On clicking “Yes” or pressing “Enter” key follow Step 9 to step 13. On clicking Cancel the process will stop.

Step 16: If an error occurs while translating the input Document, “Daisy Translator - Validation error” dialog box will be displayed to the user with input document and the error occurred in the document. So, the Audio files will not be generated for that document.

In case of “Master sub document, if an error occurs while translating the master document , “Daisy Translator - Validation error” dialog box will be displayed to the user with input documents and the error occurred in respective documents.

“Daisy translator – Validation error” window provides an option to open the Authoring guidelines documentation and also an option to save the log file which is having the information about validation errors that occurred during the translation.


Converting Multiple Word 2007 documents to Daisy XML Format

Follow the below steps to translate a group of documents into a single “Dtbook.xml”.

· Click on “DAISY XML (from Multiple docx)”sub menu or press (Alt +F) + Y + M.

  • Before showing the Translation form, the user is presented with an Initializing Translation form as shown below.

· Now user is presented with a Translation form as shown below.

Buttons:

1. Browse -- User can select a folder which is having sub documents.

2. Output -- User can choose a destination folder.

3. For alignment of documents in the form:

a. Move up --Moves the selected document to one level up.

b. Move down -- Moves the selected document to one level down.

c. Add -- adds the selected document into the list of sub documents.

d. Remove -- removes the selected document from the list of sub documents.

4. Translate --Translates all the documents which are in the list into one “dtbook.xml”

5. Update - - populates the document properties of the selected document(which is in list)in the form

6. Reset -- reset all the field values.

7. Cancel – exit from the “sub documents” form.

Fields:

1. Add --Path for input folder to select the subdocuments (ex: D:\newfolder)

2. Output directory -- Path for output file name (ex: D:\newfolder\sampleDocument.xml)

3. Title -- Title for output file that must be generated

4. Creator – Creator of output file that must be generated

5. Publisher – Publisher of output file that must be generated

6. Subject – Subject of output file that must be generated

7. UID -- UID of output file that must be generated (It is an auto populated value while opening the “Sub documents” form).

Note: Keyboard users can navigate through the form using following options:

· Browse button (Alt + B) to browse for input folder which is having sub documents.

· Output directory Browse button (Alt +w)

· Move up (Alt +U)

· Move down(Alt +D)

· Add(Alt +A)

· Remove(Alt +M)

· Title (Alt +I)

· Creator (Alt +C)

· Publisher (Alt +P)

· Subject (Alt +S)

· UID (Alt +U).

· Translate (Alt +T)

· Reset (Alt +R) to reset all the field values.

· Cancel (Esc) to exit from the Translator form.

· Show Advanced (Alt + V)

· Hide Advanced (Alt + H)

Step 1: Click on “Translate” button.

Step 2: Progress bar will show the progress of the translation as shown below .

Step 3: If the translation is successful and if there were some fidelity loses, Fidelity lose dialog box will be provided with fidelity losses that occurred during translation.

Screen shot above shows the Fidelity loss message “Cover Pages not translated “ ,at the bottom left shown is a Hyperlink which says “Copy to Log file” which will create a log file(.txt file) giving description of all the Fidelity loss messages at the location specified by the user. On clicking OK (press enter) or Cancel a massage will be shown to the user. On clicking “Yes” or pressing “Enter” key follow Step 9 to step 13. On clicking Cancel the process will stop.

Step 4: After successful translation a success message is given to the user. Click on ok or press enter.

Step 5: If there were any problems while translating them, Validation error dialog box will be provided with input documents and the errors that occurred during translation.

“Daisy translator – Validation error” window provides an option to open the Authoring guidelines documentation and also an option to save the log file which is having the information about validation errors that occurred during the translation.


Converting Multiple Word 2007 Documents in to DAISY DTBook

Converting Multiple Word 2007 documents to DAISY DTBook:

Follow the below steps to translate a group of documents into DAISY DTBook.

Step 1: On clicking “Full DAISY (from Multiple docx)”sub menu or on pressing (Alt + F) + Y + U a sub menu “DAISYPipelineTTSNarrator” will be shown. Click on “DAISYPipelineTTSNarrator” sub menu or Hit (Alt+F) +Y+U+D.

Step 2: Before showing the Translation form, the user is presented with an Initializing Translation form as shown below.

Step 3: Now user is presented with a Translation form as shown below.

Buttons:

1. Browse -- User can select a folder which is having sub documents.

2. Output directory-- User can choose a filename for the translated “dtbook.xml”.

3. For alignment of documents in the form:

4. Move up --Moves the selected document to one level up.

5. Move down -- Moves the selected document to one level down.

6. Add -- adds the selected document into the list of sub documents.

7. Remove -- removes the selected document from the list of sub documents.

8. Translate --Translates all the documents which are in the list into one “dtbook.xml”

9. Update - - populates the document properties of the selected document(which is in list)in the form

10. Reset -- reset all the field values.

11. Cancel – exit from the “sub documents” form.

12. Show Advanced – This will show an expanded form.

13. Hide Advanced – This will hide an expanded form.

Fields:

1. Add --Path for input folder to select the subdocuments (ex: D:\newfolder)

2. Output directory -- Path for output file name (ex: D:\newfolder\sampleDocument.xml)

3. Title -- Title for output file that must be generated

4. Creator – Creator of output file that must be generated

5. Publisher – Publisher of output file that must be generated

6. Subject – Subject of output file that must be generated

7. UID -- UID of output file that must be generated (It is an auto populated value while opening the “Sub documents” form).

8. The "Show Advanced" form contains the following fields:

a. DTBook Fix (drop-down list)

b. Selects whether to apply DTBook Fix routines to the input document. These routines try to clean and possibly repair the input DAISY XML document to enforce the best compatibility with the remaining steps. The "Apply DTBook Fix routines" option is recommended.

c. Apply sentence detection (check-box)

d. Selects whether to apply sentence detection to the input document text to enable a finer-grained audio synchronization.

e. MP3 Bitrate (drop-down list)

f. Selects the bit rate of the generated MP3 audio files. A higher value will result in better sound quality but the audio files will be larger. The default value is 32 kbit/s.

g. 2.02 href target (drop-down list)

h. Selects the SMIL element (text or par) to target by href URIs in the content document and navigation control file of the generated DAISY DTB. "text" is the default value but some DAISY players will behave more gracefully if "par" is selected.

Note: Keyboard users can navigate through the form using following options:

· Browse button (Alt + B) to browse for input folder which is having sub documents.

· Output File button (Alt +O)

· Move up (Alt +U)

· Move down(Alt +D)

· Add(Alt +A)

· Remove(Alt +M)

· Title (Alt +I)

· Creator (Alt +C)

· Publisher (Alt +P)

· Subject (Alt +S)

· UID (Alt +U).

· Translate (Alt +T)

· Reset (Alt +R) to reset all the field values.

· Cancel (Esc) to exit from the Translator form.

· Show Advanced (Alt + V)

· Hide Advanced (Alt + H)

Step 3: Click on “Translate” button.

Step 4: Progress bar will show the progress of the translation as shown below.

Step 5: After completing 100% the Progress bar will show “Initializing Audio Files Generation” as shown below.

Step 6: When the "Translating to DAISY" step is completed, the Pipeline Lite tool starts the DAISY XML to DAISY DTB translation and the user is presented with the "Pipeline Job Progress" dialog.

Step 7: A progress bar shows the progress of the translation and a label (below the progress bar) shows the name of the currently running step.

Note that the translation will take several minutes (and on some occasion’s even hours) for big documents.

Step 8: A "Cancel" button allows the user to prematurely abort the translation. Note that the Pipeline Lite process might not terminate immediately but wait for the current task to complete. Some temporary files may then be left in the output directory.

Step 9: When the translation completes successfully, the user is shown a "Pipeline Job Completed" dialog box displaying the message "Job Completed".

On press on the "Details" button, the dialog expands and the user is presented the list of Pipeline messages produced during the translation process.

The output directory will contain both a DAISY 2.02 DTB and DAISY 3 DTB (Z39.86-2005), sharing the same audio files.

Note that on some cases dummy headings may be added to the document to conform to the DAISY specification (this happens for instance when no heading were found in the entire input document).

Press the "OK" button to return to the Microsoft Word document.

Step 10: When errors occurred during the translation, the user will be shown a "Pipeline Job Failed" dialog box displaying the message indicating the detailed step where the translation failed.

On press on the "Details" button, the dialog expands and the user is presented the list of Pipeline messages produced during the translation process.

Refer to the "Troubleshooting" section for further information on what to do.

Press the "OK" button to return to the Microsoft Word document.

Step 11: If the translation is successful and if there were some fidelity loses, Fidelity lose dialog box will be provided with fidelity losses that occurred during translation.

Screen shot above shows the Fidelity loss message “Cover Pages not translated “ ,at the bottom left shown is a Hyperlink which says “Copy to Log file” which will create a log file(.txt file) giving description of all the Fidelity loss messages at the location specified by the user. On clicking OK (press enter) or Cancel a massage will be shown to the user. On clicking “Yes” or pressing “Enter” key follow Step 6 to Step 10. On clicking Cancel the process will stop.

Step 12: If an error occurs while translating the input Document, “Daisy Translator - Validation error” dialog box will be displayed to the user with input document and the error occurred in the document. So, the Audio files will not be generated for that document.

“Daisy translator – Validation error” window provides an option to open the Authoring guidelines documentation and also an option to save the log file which is having the information about validation errors that occurred during the translation.


Save As Daisy Features Word 203/XP

Save As DAISY Features Word 2003/XP:

After successful installation of the Add-in user should follow the following steps.

Step1: Click on File menu or hit Alt+F.

Step 2: Select “Save as DAISY menu” or Hit (Alt +F) +Y.

It will show four sub menus, as shown below

  1. DAISY XML (from Single docx): This sub menu will translate word2003/XP in “docx” format to “DAISY XML” format.
  2. Full DAISY (from Single docx): This sub menu will show a sub menu “DAISYPipelineTTSNarrator” which will translate word2003/XP in “docx” to “DAISY DTBook”.
  3. DAISY XML (from Multiple docx): This sub menu will translate a group of documents into a single “DAISY XML” format.
  4. Full DAISY (from Multiple docx): This sub menu will show a sub menu “DAISYPipelineTTSNarrator” which will translate group of documents to “DAISY DTBook”.


Converting Word 2003/XP Document to DAISY XML Format

Converting a document in Word 2003/XP to DAISY XML Format

To convert word2003/XP to DAISY XML format, user should follow the steps below.

Step 1: Open a document that needs to be translated into DAISY XML Format.

Step2: Ensure that document is saved in “docx” format (2007) before proceeding with the translation.

Step3: Click on File menu or hit Alt+F.

Step 4: Click on “Save as DAISY button” or Hit (Alt +F) +Y.

Step 5: If the document is a master sub document (current document having sub documents), the following dialog box will be displayed to the user.

On click of “Yes” button, the translation process will continue and it translates the current document along with sub documents included in it. Otherwise, it translates the current document excluding its sub documents. Before showing the Translation form, the user is presented with an Initializing Translation form as shown below.

Step 6: Now user is presented with a Translation form as shown below.

Translator form contains fields such as Destination, Document Title, Document creator, Document Publisher, Document UID; all these fields will be auto populated from the document properties modify or change these values if required and then click on “Translate” button or just hit Alt+T buttons on the keyboard.

Note: Keyboard users can navigate through the form using following options:

· Destination Field (Alt +D)

· Browse (Alt + B) to browse for destination folder.

· Title (Alt +I)

· Creator (Alt +C)

· Publisher (Alt +P)

· UID (Alt +U).

· Translate (Alt +T)

· Reset (Alt +R) to reset all the field values.

Step 6: On click of “Translate” button, Progress bar will show the progress of the translation as shown below.

Step 7: After successful translation a success message is given to the user. Click on ok or press enter.

Step 8: If the translation is successful and if there were some fidelity loses, Fidelity lose dialog box will be provided with fidelity losses that occurred during translation

Screen shot above shows the Fidelity loss message “Cover Pages not translated “ ,at the bottom left shown is a Hyperlink which says “Copy to Log file” which will create a log file(.txt file) giving description of all the Fidelity loss messages at the location specified by the user.

In case of “Multiple OOXML document ,if an error occurs while translating the master Document , “Daisy Translator - Validation error” dialog box will be displayed to the user with input documents and the error occurred in respective documents.

“Daisy translator – Validation error” window provides an option to open the Authoring guidelines documentation and also an option to save the log file which is having the information about validation errors that occurred during the translation.


Converting Word 2003/XP Document to DAISY DTBook

Converting a document in Word 2003/XP to DAISY DTBook:

To convert word2003/XP to DAISY DTBook, user should follow the steps below.

Step 1: Open a document that needs to be translated into DAISY DTBook.

Step2: Ensure that document is saved before proceeding with the translation.

Step3: Click on office button (Top left hand corner of the word2003/XP user interface) or hit Alt+F

Step 4: Clicking on “Full DAISY (from Single docx)” a sub menu “DAISYPipelineTTSNarrator” will be shown. Click on “DAISYPipelineTTSNarrator”.

Step 5: If the document is a master sub document (current document having sub documents), the following dialog box will be displayed to the user.

On click of “Yes” button, the translation process will continue and it translates the current document along with sub documents included in it. Otherwise, it translates the current document excluding its sub documents. . Before showing the Translation form, the user is presented with an Initializing Translation form as shown below.

Step 6: Now user is presented with a Translation form as shown below.

Translator form contains fields such as Output directory, Document Title, Document creator, Document Publisher, Document UID; all these fields will be auto populated from the document properties modify or change these values if required. Also, the form will have “Show Advance” button, on clicking or on pressing (Alt + V) it will expand the form as shown below.

The "Show Advanced" form contains the following fields:

  • DTBook Fix (drop-down list) Selects whether to apply DTBook Fix routines to the input document. These routines try to clean and possibly repair the input DAISY XML document to enforce the best compatibility with the remaining steps. The "Apply DTBook Fix routines" option is recommended.
  • Apply sentence detection (check-box) Selects whether to apply sentence detection to the input document text to enable a finer-grained audio synchronization.
  • MP3 Bitrate (drop-down list) Selects the bit rate of the generated MP3 audio files. A higher value will result in better sound quality but the audio files will be larger. The default value is 32 kbit/s.
  • 2.02 href target (drop-down list) Selects the SMIL element (text or par) to target by href URIs in the content document and navigation control file of the generated DAISY DTB. "text" is the default value but some DAISY players will behave more gracefully if "par" is selected.

On click of “Translate” button or on pressing Alt+T buttons on the keyboard the translation process will start.

Note: Keyboard users can navigate through the form using following options:

· Browse (Alt + B) to browse for destination folder.

· Title (Alt +I)

· Creator (Alt +C)

· Publisher (Alt +P)

· UID (Alt +U).

· Translate (Alt +T)

· Reset (Alt +R) to reset all the field values.

· Show Advanced (Alt + V)

· Hide Advanced (Alt + H)

Step 7: On click of “Translate” button, Progress bar will show the progress of the translation as shown below.

Step 8: After completing 100% the Progress bar will show “Initializing Audio Files Generation” as shown below.

Step 9: When the "Translating to DAISY" step is completed, the Pipeline Lite tool starts the DAISY XML to DAISY DTB translation and the user is presented with the "Pipeline Job Progress" dialog.

Step 10: A progress bar shows the progress of the translation and a label (below the progress bar) shows the name of the currently running step.

Note that the translation will take several minutes (and on some occasion’s even hours) for big documents.

Step 11: A "Cancel" button allows the user to prematurely abort the translation. Note that the Pipeline Lite process might not terminate immediately but wait for the current task to complete. Some temporary files may then be left in the output directory.

Step 12: When the translation completes successfully, the user is shown a "Pipeline Job Completed" dialog box displaying the message "Job Completed".

On press on the "Details" button, the dialog expands and the user is presented the list of Pipeline messages produced during the translation process.

The output directory will contain both a DAISY 2.02 DTB and DAISY 3 DTB (Z39.86-2005), sharing the same audio files.

Note that on some cases dummy headings may be added to the document to conform to the DAISY specification (this happens for instance when no heading were found in the entire input document).

Press the "OK" button to return to the Microsoft Word document.

Step 13: When errors occurred during the translation, the user will be shown a "Pipeline Job Failed" dialog box displaying the message indicating the detailed step where the translation failed.

On press on the "Details" button, the dialog expands and the user is presented the list of Pipeline messages produced during the translation process.

Refer to the "Troubleshooting" section for further information on what to do.

Press the "OK" button to return to the Microsoft Word document.

Step 14: If the translation is successful and if there were some fidelity loses, Fidelity lose dialog box will be provided with fidelity losses that occurred during translation.

Step 15:Screen shot above shows the Fidelity loss message “Cover Pages not translated “ ,at the bottom left shown is a Hyperlink which says “Copy to Log file” which will create a log file(.txt file) giving description of all the Fidelity loss messages at the location specified by the user. On clicking OK (press enter) or Cancel a message will be shown to the user. On clicking “Yes” or pressing “Enter” key follow Step 9 to step 13. On clicking Cancel the process will stop.

Step 16: If an error occurs while translating the input Document, “Daisy Translator - Validation error” dialog box will be displayed to the user with input document and the error occurred in the document. So, the Audio files will not be generated for that document.

“Daisy translator – Validation error” window provides an option to open the Authoring guidelines documentation and also an option to save the log file which is having the information about validation errors that occurred during the translation.


Converting Multiple Word 2003/XP Documents in to DAISY XML Format

Converting Multiple Word 2003/XP documents to DAISY XML Format:

Follow the below steps to translate a group of documents into a single “Dtbook.xml”.

  • Click on “Save As DAISYXml (Multiple)”sub menu.

· Before showing the Translation form user will be shown a form as shown below.

· Now user is presented with a Translation form as shown below.

Buttons:

1. Browse -- User can select a folder which is having sub documents.

2. Output -- User can choose a destination folder.

3. For alignment of documents in the form:

4. Move up --Moves the selected document to one level up.

5. Move down -- Moves the selected document to one level down.

6. Add -- adds the selected document into the list of sub documents.

7. Remove -- removes the selected document from the list of sub documents.

8. Translate --Translates all the documents which are in the list into one “dtbook.xml”

9. Update - - populates the document properties of the selected document(which is in list)in the form

10. Reset -- reset all the field values.

11. Cancel – exit from the “sub documents” form.

Fields:

1. Add --Path for input folder to select the subdocuments (ex: D:\newfolder)

2. Output directory -- Path for output file name (ex: D:\newfolder\sampleDocument.xml)

3. Title -- Title for output file that must be generated

4. Creator – Creator of output file that must be generated

5. Publisher – Publisher of output file that must be generated

6. Subject – Subject of output file that must be generated

7. UID -- UID of output file that must be generated (It is an auto populated value while opening the “Sub documents” form).

Note: Keyboard users can navigate through the form using following options:

· Browse button (Alt + B) to browse for input folder which is having sub documents.

· Output directory Browse button (Alt +w)

· Move up (Alt +U)

· Move down(Alt +D)

· Add(Alt +A)

· Remove(Alt +M)

· Title (Alt +I)

· Creator (Alt +C)

· Publisher (Alt +P)

· Subject (Alt +S)

· UID (Alt +U).

· Translate (Alt +T)

· Reset (Alt +R) to reset all the field values.

· Cancel (Esc) to exit from the Translator form.

· Show Advanced (Alt + V)

· Hide Advanced (Alt + H)

Step 1: Click on “Translate” button.

Step 2: Progress bar will show the progress of the translation as shown below.

Step 3: After successful translation a success message is given to the user. Click on ok or press enter.

Step 4: If there were any problems while translating them, Validation error dialog box will be provided with input documents and the errors that occurred during translation.

“Daisy translator – Validation error” window provides an option to open the Authoring guidelines documentation and also an option to save the log file which is having the information about validation errors that occurred during the translation.


Converting Multiple Word 2003/XP Documents in to DAISY DTBook

Converting Multiple Word 2003/XP documents to DAISY DTBook:

Follow the below steps to translate a group of documents into DAISY DTBook.

Step 1: On clicking “Full DAISY (from Multiple docx)”sub menu, a sub menu “DAISYPipelineTTSNarrator” will be shown. Click on “DAISYPipelineTTSNarrator” sub menu.

Step 2: Before showing the Translation form user will be shown a form as shown below.

Step 3: Now user is presented with a Translation form as shown below.

Buttons:

1. Browse -- User can select a folder which is having sub documents.

2. Output directory-- User can choose a filename for the translated “dtbook.xml”.

3. For alignment of documents in the form:

4. Move up --Moves the selected document to one level up.

5. Move down -- Moves the selected document to one level down.

6. Add -- adds the selected document into the list of sub documents.

7. Remove -- removes the selected document from the list of sub documents.

8. Translate --Translates all the documents which are in the list into one “dtbook.xml”

9. Update - - populates the document properties of the selected document(which is in list)in the form

10. Reset -- reset all the field values.

11. Cancel – exit from the “sub documents” form.

12. Show Advanced – This will show an expanded form.

13. Hide Advanced – This will hide an expanded form.

Fields:

1. Add --Path for input folder to select the subdocuments (ex: D:\newfolder)

2. Output directory -- Path for output file name (ex: D:\newfolder\sampleDocument.xml)

3. Title -- Title for output file that must be generated

4. Creator – Creator of output file that must be generated

5. Publisher – Publisher of output file that must be generated

6. Subject – Subject of output file that must be generated

7. UID -- UID of output file that must be generated (It is an auto populated value while opening the “Sub documents” form).

8. The "Show Advanced" form contains the following fields:

9. DTBook Fix (drop-down list)

10. Selects whether to apply DTBook Fix routines to the input document. These routines try to clean and possibly repair the input DAISY XML document to enforce the best compatibility with the remaining steps. The "Apply DTBook Fix routines" option is recommended.

11. Apply sentence detection (check-box)

12. Selects whether to apply sentence detection to the input document text to enable a finer-grained audio synchronization.

13. MP3 Bitrate (drop-down list)

14. Selects the bit rate of the generated MP3 audio files. A higher value will result in better sound quality but the audio files will be larger. The default value is 32 kbit/s.

15. 2.02 href target (drop-down list)

16. Selects the SMIL element (text or par) to target by href URIs in the content document and navigation control file of the generated DAISY DTB. "text" is the default value but some DAISY players will behave more gracefully if "par" is selected.

Note: Keyboard users can navigate through the form using following options:

· Browse button (Alt + B) to browse for input folder which is having sub documents.

· Output File button (Alt +O)

· Move up (Alt +U)

· Move down(Alt +D)

· Add(Alt +A)

· Remove(Alt +M)

· Title (Alt +I)

· Creator (Alt +C)

· Publisher (Alt +P)

· Subject (Alt +S)

· UID (Alt +U).

· Translate (Alt +T)

· Reset (Alt +R) to reset all the field values.

· Cancel (Esc) to exit from the Translator form.

· Show Advanced (Alt + V)

· Hide Advanced (Alt + H)

Step 4: Click on “Translate” button.

Step 5: Progress bar will show the progress of the translation as shown below.

Step 6: After completing 100% the Progress bar will show “Initializing Audio Files Generation” as shown below.

Step 7: When the "Translating to DAISY" step is completed, the Pipeline Lite tool starts the DAISY XML to DAISY DTB translation and the user is presented with the "Pipeline Job Progress" dialog.

Step 8: A progress bar shows the progress of the translation and a label (below the progress bar) shows the name of the currently running step.

Note that the translation will take several minutes (and on some occasion’s even hours) for big documents.

Step 9: A "Cancel" button allows the user to prematurely abort the translation. Note that the Pipeline Lite process might not terminate immediately but wait for the current task to complete. Some temporary files may then be left in the output directory.

Step 10: When the translation completes successfully, the user is shown a "Pipeline Job Completed" dialog box displaying the message "Job Completed".

On press on the "Details" button, the dialog expands and the user is presented the list of Pipeline messages produced during the translation process.

The output directory will contain both a DAISY 2.02 DTB and DAISY 3 DTB (Z39.86-2005), sharing the same audio files.

Note that on some cases dummy headings may be added to the document to conform to the DAISY specification (this happens for instance when no heading were found in the entire input document).

Press the "OK" button to return to the Microsoft Word document.

Step 11: When errors occurred during the translation, the user will be shown a "Pipeline Job Failed" dialog box displaying the message indicating the detailed step where the translation failed.

On press on the "Details" button, the dialog expands and the user is presented the list of Pipeline messages produced during the translation process

Refer to the "Troubleshooting" section for further information on what to do.

Press the "OK" button to return to the Microsoft Word document.

Step 12: If the translation is successful and if there were some fidelity loses, Fidelity lose dialog box will be provided with fidelity losses that occurred during translation.

Screen shot above shows the Fidelity loss message “Cover Pages not translated “ ,at the bottom left shown is a Hyperlink which says “Copy to Log file” which will create a log file(.txt file) giving description of all the Fidelity loss messages at the location specified by the user. On clicking OK (press enter) or Cancel a massage will be shown to the user. On clicking “Yes” or pressing “Enter” key follow Step 6 to Step 10. On clicking Cancel the process will stop.

Step 13: If an error occurs while translating the input Document, “Daisy Translator - Validation error” dialog box will be displayed to the user with input document and the error occurred in the document. So, the Audio files will not be generated for that document.

“Daisy translator – Validation error” window provides an option to open the Authoring guidelines documentation and also an option to save the log file which is having the information about validation errors that occurred during the translation.


Accessibility Ribbon

On successful installation of Daisy Translator Add-in a new tab “Accessibility” will be added in word ribbon.

This “Accessibility” tab will have the following buttons.

· SaveAsDAISY- Click on office button (Top left hand corner of the Word 2007 user interface) or hit Alt+F. Select “Save as DAISY menu” or Hit (Alt +F) +Y. It will show four sub menus, as shown below

  • DAISY XML (from Single docx): This sub menu will translate word2007 format to “DAISY XML” format. Follow the Steps mentioned in Section 5.1 “Converting a Document in Microsoft Word 2007 To the DAISY XML format” to translate word2007 format to “DAISY XML” format.
  • Full DAISY(from Single docx): This sub menu will show a sub menu “DAISYPipelineTTSNarrator” which will translate word 2007 to “DAISY DTBook”. Follow the Steps mentioned in Section 5.2 “Converting a Document in Microsoft Word 2007 to DAISY DTBook” to translate word2007 to “DAISY DTBook”.
  • DAISY XML (from Multiple docx): This sub menu will translate a group of documents into a single “Dtbook.xml”. Follow the Steps mentioned in Section 5.3 “Multiple OOXML” to translate Multiple word 2007 documents to “DAISY XML” format.
  • Full DAISY (from Multiple docx): This sub menu will show a sub menu “DAISYPipeLineTTSNarrator” which will translate group of documents to “DAISY DTBook”. Follow the Steps mentioned in section 5.4 “Multiple OOXML DTBook” to translate Multiple word 2007 documents to “DAISY DTBook”.
  • Mark As Abbreviation-To mark a particular word as Abbreviation, select the word click on Accessibility tab and select mark as Abbreviation.
  • Manage Abbreviation- On click of this button a dialog box will be displayed which will show all the text marked as abbreviations listed out in a list box. Any text marked as Abbreviation can be Unmarked using unmark button.
  • Mark As Acronym - To mark a particular word as Acronym, select the word click on Accessibility tab and select mark as Acronym.
  • Manage Acronyms - On click of this button a dialog box will be displayed which will show all the text marked as Acronym listed out in a list box. Any text marked as Acronym can be Unmarked using unmark button.


Abbreviations and Acronyms

Abbreviations:

A. To mark an abbreviation for a word, follow below steps.

1. Select a word.

2. Click on “Accessibility” tab or hit (Alt + Y)

3. Click on “Mark as Abbreviation” button or hit (Alt +Y) +B.

4. This opens a window Manage Acronym with an option of providing Full form of the selected word or press (ALT+F)

5. This window gives an option of marking Abbreviation for all the occurrences of the selected word in case the check box is checked it will mark Abbreviation for all the occurrences of that word in whole document, otherwise it will be marked for only that occurrence, to mark press (ALT +O).

6. Click on “Mark” button or press (ALT+M), to mark abbreviation for the selected text.

A. To unmark an abbreviation for a word, follow below steps.

1. Click on “Accessibility” tab or hit (Alt +Y)

2. Click on “Manage Abbreviation” button or hit (Alt +Y) +N.

3. Then a window will be prompted to the user. This window will display all the words marked as abbreviation in a list box.

5. If you want to unmark an abbreviation for a word, select that word from the existing items of list box and click on “Unmark” button or hit (ALT + U) .

6. It will unmark abbreviation for all the occurrences of that particular word in the document.

Acronyms:

1. To mark an acronym for a word, follow below steps.

1. Select a word.

2. Click on “Accessibility” tab or hit (Alt + Y).

3. Click on “Mark as Acronym” button or hit (Alt + C).

4. Then an “Acronym” window will be prompted to the user. Enter the Full form of the selected text in “Full Form” field. User can enter the “Full Form” by entering (ALT+F) shortcut key.

5. On selecting the checkbox “Apply for all occurrences of this word”, it will apply acronyms to all the occurrences of the word in the document. Otherwise, it will apply acronym to that word only, keyboard shortcut (ALT+O).

6. On selecting the checkbox “Pronounce the acronym in the reader”, it will pronounce acronym in the reader. Otherwise, it will spell out the acronym in the reader, keyboard shortcut (ALT+P).

7. Click on “Mark” button or hit (ALT+M), to mark acronym for the selected text.

2. To unmark an acronym for a word, follow below steps.

1. Click on “Accessibility” tab or hit (Alt +Y).

2. Click on “Manage Acronym” button or hit (Alt + G).

3. Then a window will be prompted to the user. This window will display all the words marked as acronyms in a list box.

4. If you want to unmark an acronym for a word, select that word from the existing items of list box and click on “Unmark” button or hit (ALT + U) .

5. It will unmark acronym for all the occurrences of that particular word in the document.


Import Custom Styles

To Import a custom styles follow the following steps:

· Click on “Accessibility” tab or hit (Alt +Y).

· Click (Alt +Y) +S to imports custom styles.

Following the above steps custom styles will be added to the styles menu. To mark a custom style for the content, select the content and apply the styles from styles menu or press (Alt +Ctrl +Shift +S).

Enable and Disable of Import Daisy button: If the active document has already imported the daisy styles then the “Import Daisy Styles” ribbon button will be in disabled state. If the active document doesn’t contains the daisy styles the “Import Daisy Styles” ribbon button will be in enabled state.


Language Detection

This feature helps the user to set the language for the selected paragraph/ paragraphs in the word document.

Follow the below steps to set language information for the selected paragraph in a word document.

1. Select the text in the word document.

2. Click on “Accessibility” tab or hit (Alt + Y).

3. Click on “Language” button or hit (Alt +Y) +L.

4. This opens a window “Language” providing a list of languages.

5. Click on “Apply” button or press (ALT+A), to set the chosen language for the selected paragraph.

Note: Language feature works only at paragraph level. If user selects a part of a paragraph, the language information will not get translated properly. So the translation would be effective if user selects the entire paragraph or more than one paragraph.


Translator Help

Translator Help provides Authoring Guidelines, Instruction manual and Troubleshooting Guidelines for the Translator.

To use Translator Help click on Accessibility Menu and click Translator Help or Press (Alt +Y +H)

· Click on Translator Help


DAISY Settings

These are pre-translation settings.

Following screen-shot shows various pre-translation settings (options) provided to the user:

· Page Numbers: Under this group two options have been provided to the user in the form of radio buttons. Click “Custom” radio button to get custom style of page numbers for the document. Click “Automatic” radio button to get automatic style of page numbers for the document.

· Translate Character Styles: Under this group a check box named “Translate” is provided.

User can click this check box to preserve character styles like underline, strikethrough, indentation, alignment etc in the output xml.

· Image Size Options: Under this group three options have been provided to the user namely:

o        Use Original image: Clicking on this radio button will preserve the original size of the image as inserted in the word document and same size of the image will be retained in the destination folder along with the output xml.

o        Resize: Clicking on this radio button will put two new attributes namely “height” and “width” in the output xml which indicates that the image in the word document has been resized.

o        Resample: To use this option user should select one of the “dpi” values i.e. 72, 96 or 120 from the drop down list provided as shown in the screen-shot below:

Resampling is performed on the image inserted into the document based on the dpi value selected by the user and same image is placed in the destination folder along with the output xml.


FootNotes

Footnotes are the links made to cite your reference on a word document. Word defaults numbering of footnotes from 1. These numbers are usually used as the reference for footnotes.

A footnote should ideally have two parts - Reference no & Footnote text.

Footnote in DAISY Translator:

Footnotes are found missing when scanned documents are converted back to the document. In such a scenario the footnote text can be selected by the user and he would have the provision to see all the available occurrence of the reference throughout the document. The right text can be selected and set it back to footnote reference following the steps below:

1. Select the text from the document which has to be converted to a footnote along with its reference.

2. Selecting the text, click on Accessibilty -> AddFooteNote in Excel Ribbon

3. The list of suggested references will be displayed on a new window. Suggested references will contain all the occurrences of reference (reference-text) throughout the document.

Clicking on any of the line in suggested-references window, will select the same range of text in the document. This helps the user to decide or confirm if the text in that particular range of text has to be converted to a footnote reference.

The user should select the line in suggested reference window by selecting the checkbox standing for the line and click OK button, to consider the text in it to be converted to the footnote reference.

Below image shows the newly converted footnote reference through suggested reference window.

Note: Converted reference would be a custom footnote. There is no linking between word’s default footnote and word’s custom footnotes.


Validate document

Helper Wizard:

Follow the below steps to validate an input document against DAISY validation rules.

Click on “Accessibility” tab or press (Alt + Y)

Click on “Validate” button or press (Alt +Y) +V.

· On click of “Validate” button a progress bar will appear.

· While validating, if the input document contains some validation error then a Message Box appears intimating the user that the document contains validation error.

· While validating, if the input document does not contains validation error then a Message Box appears intimating the user that the document is valid.

· After validation all the validation errors will be displayed in the Form as shown in above screen shot.

· User can navigate to the location of the error which will be highlighted in the document by clicking on error message.

· User can also correct the highlighted error.

· On click of more info link Authoring guidelines document will be opened providing assistance to the user on the cause of the error and how to correct it.


Text-to-Speech Configuration:

The TTS voice used by the Pipeline Lite Narrator tool to produce the audio content is the voice configured by default on the Windows environment of the user.

The user can change this voice via the Windows Control Panel:

  1. Go to the "Control Panel" (available via the "Start" button)
  2. Switch to "Classic View" (or "Category View")
  3. Open the "Speech" item
  4. Select the "Text to Speech" tab
  5. Select the required voice in the "Voice Selection" drop-down button

Further fine-grained configuration (such as silence duration, multiple language support, accronym pronunciation, etc) is currently not directly exposed to the end user. Advanced users can however refer to the DAISY Pipeline developer documentation to fine tune the internal configuration files located in the Pipeline Lite installation directory: < http://daisymfc.sourceforge.net/doc/index-developer.html >


Progress Bar

In “Save as Daisy” window, on click of “Translate” button, a form will be displayed to the user showing the details of translation. Big documents having multiple pages will take few minutes to start the translation process and a message “Loading translation details.. Please wait” will be displayed below the progress bar.

Percentage of translation details will be shown below the progress bar.


Multiple Versions of Office

In an environment having multiple versions of office, the DAISY translator Add in installer will install for the default (recently used) office version.


Commandline Utility

The Daisy Command Line Translator is a tool for translating Office Open XML format documents to Daisy format documents

Usage

DaisyTranslator.exe /I PathOrFilename [/O PathOrFilename] [BATCH-DOCX] [/REPORT Filename] [/TITLE] [/CREATOR] [/PUBLISHER] [/UID] [/M] [/APAGE] [/CPAGE] [/STYLE]

Where options are:

/I PathOrFilename | Name of the file to transform (or input folder in case of batch conversion)(ex: D:\newfolder or D:\newfloder\input.xml)
/O PathOrFilename | Name of the output file (or output folder)(ex: D:\newfolder or D:\newfloder\output.xml)
/BATCH-DOCX | Do a batch conversion over every DOCX file in the input folder (note: existing files will be replaced)(ex: D:\newfolder)
/REPORT Filename | Name of the report file that must be generated (existing files will be replaced)(ex: D:\newfloder\sample.txt)
/TITLE | Title of the output file that must be generated
/CREATOR | Creator of the output file that must be generated
/PUBLISHER | Publisher of the output file that must be generated
/UID | Uid of the report output that must be generated
/M | Filename To translate Multiple Documents
/APAGE | To Translate the current document with Automatic PageNumber Style
/CPAGE | To Translate the current document with Custom PageNumber Style (Default)
/STYLE | To Translate the current document with Character Styles


Reader and Producer Software

To read the converted XML file in DAISY XML format reader and producer software’s should be downloaded.

The following link lists out the available producer software

· http://www.daisy.org/tools/tools.shtml?Cat=production

The following link lists out the available reader software

· http://www.daisy.org/tools/tools.shtml?Cat=playback

After installing the reader and producer software, follow these steps:

· Load the translated XML file to the producer from the physical path provided during the translation of the document.

· This will create a package in same location which will contain some ten files, in which one file would be “OPF” file.

· Reader software only reads the “OPF “file created by the producer.

· Load the ”OPF” file created by the producer in the reader.

· Reader reads the “OPF “file containing all the contents of Word document.


Table of Short Cut Keys

General Short Cut Keys:

S.No | Description | Shortcut Keys
1 | Office Button | (Alt+ F)
2 | Save As DAISY button | (Alt +F) +Y.
3 | Import Daisy Style | (Alt + Y)+I
4 | Translator Help | (Alt + Y)+H
5 | Settings | (Alt + Y)+S
6 | Version Details | (Alt + Y)+D

Short Cut Keys For DAISY XML (from Single docx) Form:

S.No | Description | Shortcut Keys
1 | Destination Field | (Alt +D)
2 | Browse to browse for destination folder. | (Alt + B)
3 | Title | (Alt +I)
4 | Creator | (Alt +R)
5 | Publisher | (Alt +P)
6 | UID | (Alt +U)
7 | Translate | (Alt +T)
8 | Reset to reset all the field values. | (Alt +R)
9 | Cancel to exit from the Translator form. | (Alt +C)

Short Cut Keys For Full DAISY (from Single docx):

S.No | Description | Shortcut Keys
1 | Browse to browse for Output directory. | (Alt + B)
2 | Title | (Alt +I)
3 | Creator | (Alt +R)
4 | Publisher | (Alt +P)
5 | UID | (Alt +U)
6 | Translate | (Alt +T)
7 | Reset to reset all the field values. | (Alt +R)
8 | Cancel to exit from the Translator form. | (Alt +C)
9 | Show Advanced | (Alt + V)
10 | Hide Advanced | (Alt + H)

ShortCut Keys For DAISY XML (from Multiple docx):

S.No | Description | Shortcut Keys
1 | Browse button to browse for input folder which is having sub documents. | (Alt + B)
2 | Output File button | (Alt +O)
3 | Move up | (Alt +U)
4 | Move down | (Alt +D)
5 | Add | (Alt + A)
6 | Remove | (Alt +M)
7 | Creator | (Alt +R)
8 | Publisher | (Alt +P)
9 | UID | (Alt +U)
10 | Translate | (Alt +T)
12 | Reset to reset all the field values. | (Alt +R)
13 | Cancel to exit from the Translator form. | (Alt +C)

Short Cut keys for Full DAISY (from Multiple docx)

S.No | Description | Shortcut Keys
1 | Browse button to browse for input folder which is having sub documents. | (Alt + B)
2 | Output File button | (Alt +O)
3 | Move up | (Alt +U)
4 | Move down | (Alt +D)
5 | Add | (Alt + A)
6 | Remove | (Alt +M)
7 | Creator | (Alt +R)
8 | Publisher | (Alt +P)
9 | UID | (Alt +U)
10 | Translate | (Alt +T)
12 | Reset to reset all the field values. | (Alt +R)
13 | Cancel to exit from the Translator form. | (Alt +C)
14 | Show Advanced | (Alt + V)
16 | Hide Advanced | (Alt + H)

Short Cut keys for Abbreviations and Acronyms:

S.No | Description | Shortcut Keys
1 | Mark As Abbreviation | (Alt + Y)+B
2 | Manage Abbreviation | (Alt + Y)+ N
3 | Marks As Acronym | (Alt + Y)+C
4 | Manage Acronym | (Alt + Y)+G


 Introduction

This document provides guidance around issues that could be commonly encountered when installing the Open XML to DAISY XML Translator Add-In. Please document any additional issues that you encounter on the project site and we will address them as soon as possible.


Error during Installation of Add-in

Error may occur during installation of Word Add-In

For issues with following error attempt below mentioned steps.

Step 1: Uninstall the previously installed Add-In from Add or Remove programs.

Step 2: Again install new Add-In from the setup.


Troubleshooting Issues with Word 2007

You do not see, or cannot find, the "Save as DAISY" option.

This may be caused by:

  • The Add-in is disabled in Microsoft Office Word.
  • The Com Add-in is not loading while Microsoft Office Word launches.

Issue 1: The Add-in is disabled in Microsoft Office Word 2007.

For the issues with a Disabled Add-in attempt the following steps.

Step 1: Click on the Office Button (ALT + F)

Step 2: if the "Save As DAISY" button is not located within the contents of the office button drop down, click on "Word Options" which is also reached by clicking on the Office button and is located in the lower right of the drop down. The keyboard shortcut for navigating to the "Word Options" menu is: ALT, F, I.

Step 3: Click on Add Ins tab and then from the manage option at the bottom, select Disabled Items option and hit "Go" button. This can be done on the keyboard by pressing the down arrow six times once inside of the Word Options menu, pressing tab three times, and navigating to the last drop down item which is "Disabled Items", pressing tab one more time, and then press enter.

Step 4: Clicking on Go button (this was done in the previous step for keyboard users) will open a new window, which gives information about the Disabled items.

If there is an option of Word Add-in then click on it and click on Enable button. You can do this via keyboard by tabbing into the disabled items list then tabbing back to enable and pressing enter.

Issue 2: The Com Add-in does not load while opening the Office Application.

Follow the steps below to resolve this issue:

Step 1: Click on Office button or press ALT + F.

Step 2: If "Save As DAISY" tab is not contained in the Office dropdown, click on "Word Options" which can be reached by clicking on Office button and can find the "Word Option" at the lower right of the dropdown. . The keyboard shortcut for navigating to the "Word Options" menu is: Alt F, I.

Step 3: Click on Add Ins tab and then from the manage option at the bottom, select COM Add-ins option and hit "Go" button. This can be done on the keyboard by pressing the down arrow six times once inside of the Word Options menu, pressing tab four times and then press enter.

Step 4: Clicking on go button will take you to the following window.

If the window shows The Load Behavior as "Not Loaded runtime error occurred during the loading of COM Add-in "at the bottom of the small windows.

Even after following the above steps , if the ADDIN is not Loaded then follow these steps:-

Step 1: Uninstall DAISY addin.

Step 2: Repair Office 2007 by adding the feature “.NET Programmability Support” for ‘MS WORD’.

Following are the Screenshots showing how to repair Word 2007 using “.NET Programmability Support”

.Net Programmability support for Word 2007:

Following screenshot shows the option for Add or Remove Features.

· Select Add or Remove feature and click on continue button.

· Clicking on continue button will give Installation options as shown below.

· Expand Microsoft office word and select “.NET Programmability Support” option.

· Click on “.NET Programmability Support” and choose “Run from My Computer” option and click on continue button.


Troubleshooting Issues with Word XP/2003

You do not see, or cannot find, the "Save as DAISY" option.

This may be caused by:

  • The Add-in is disabled in Microsoft Office Word.
  • The Com Add-in is not loading while Microsoft Office Word launches.

Issue1:The Add-in is disabled in Microsoft Office Word 2003/XP.

For the issues with a Disabled Add-in attempt the following steps.

Step 1: Click on Help button and select the options "About Microsoft Office Word". The keyboard shortcut for navigating to the "Help Options" menu is (ALT+h).

Step 2: The following window appears, which at the bottom right will give an option for Disabled Item, click on “Disabled Item “option.

Step 3: This will open ‘Disabled Item’ dialog box which lists out the disabled Add-ins. If you see “DaisyTranslatorWord2003Addin” in the list box, select the item and click on Enable button and press close button.

Click on “OK” button in “About Microsoft Office Word” window.

Issue2: Com Add-in does not load while opening Office Application

Follow the steps below to resolve this issue:

Step 1: Please check for the Com Add-in option in the tool bar, click on the COM Add-in and check whether “DaisyTranslatorWord2003Addin” is listed out in the dialog box. If “DaisyTranslatorWord2003Addin” is listed out, check whether the check box is checked. If the check box is not checked, there might be loading issue, also look at the Load behavior mentioned in the bottom of the dialog box.

If you get "Not Loaded. A runtime error occurred during the loading of the COM Add-in" error you may need to update your Office 2003 installation with office2003-KB907417-FullFile-ENU.exe which can be found at: http://www.microsoft.com/downloads/details.aspx?familyid=1B0BFB35-C252-43CC-8A2A-6A64D6AC4670&displaylang=en”.

If the option of COM Add-in is not present, follow below steps.

Step 2: Follow these steps to enable com Add-in.

Click on Tools and select the option “Customize” ”. The keyboard shortcut for navigating to the “Tools option” is (ALT+t). For keyboard options navigate to “customize “option using arrow keys.

Step 3: This will open a Customize window, select the Tool option from the left pane, after selecting Tools option, COM Add-in appears in the right pane.

Step 4: Select COM Add-in and drag and drop the “COM Add-in “option to the Tool bar.

.Net Programability support for Word 2003\XP:

Following are the Screenshots showing how to repair Word 2003 using “.NET Programmability Support”

· Select Add or remove Features from Maintenance mode for word 2003 and click on Next button.

· A new window will appear giving custom setup option, select word from these options. Also put a checkmark on “Choose advanced customization of application” from the same window.

· Click on Next button.

· This opens up a new window which provides Advanced Customization option, select”.NET Programmability Support”.

· Selecting”.NET Programmability Support” will give an option “Run from My Computer” select and click update button.

Step 3: Reinstall DAISY addin.


How to enable .Net Framework in Windows Vista

Enabling .Net Framework 3.0 in Windows Vista OS:

Follow the below steps to enable .Net Framework 3.0 in Windows Vista operating system,

1. Click on "Windows" button and type "Programs" in the run prompt as shown below.Then select "Programs and Features" from the list.

2. Click on "Turn Windows Features on or off" on the left pane shown to the user, this will open "Windows Features" form.

3. Select the checkbox "Microsoft .Net Framework 3.0" and all the child components :

  • Windows Communication Foundation HTTP Activation
  • Windows Communication Foundation Non-HTTP Activation
  • XPS Viewer

then, click on "Ok" button to enable .Net Framework 3.0.


Error while generating Full Audio Books

1. Unexpected Eror:

When errors occurred during the generation of audio books, the user can access the detailed message log by pressing the "Details" button of the "Pipeline Job Failed" dialog.

These messages may contain information that can help the user to pinpoint the cause of the problem.

If the user has trouble interpreting these messages, he is invited to search or ask for assistance in the DAISY Pipeline forum hosted by the DAISY Consortium: < http://forums.daisy.org/viewforum.php?f=16 >

Note that the content of the message list displayed in the Pipeline results dialogs can be selected, copied and pasted, via a contextual menu or the standard keyboard shortcuts (Ctrl-A / Ctrl-C / Ctrl-V).

Additionally, the user can browse the bugs and feature requests trackers available on the Pipeline development site hosted by Source Forge:

  • Bugs Tracker < http://sourceforge.net/tracker/?group_id=134191&atid=729299 >
  • Feature Requests Tracker: <http://sourceforge.net/tracker/?group_id=134191&atid=729302>

2. Cannot locate the installation directory of Design Science MathDAISY:

MathDAISY is software for processing mathematics notation into an accessible format. If the document has mathematical equations, it may give error while creating full audio book as shown below.

Before creating full audio books for the document with Mathematical equations, you need to install MathDAISY software.For further information on installing MathDAISY software, please visit the following link. http://www.daisy.org/projects/pipeline/other-add-ins.shtml

3. Cannot find an MP3 Encoder:

While creating Full Audio books, it may give “Cannot find an MP3 Encoder” error as shown below.

Before creating full audio books, you need to install Lame MP3 Encoder. For further information on installing Lame MP3 Encoder, please visit the following link. http://www.daisy.org/projects/pipeline/other-add-ins.shtml

3. Temporary Directory Name with Non-Western Characters:

A bug in the Java Runtime Environment on Windows makes it impossible to launch third-party executables on file paths containing non-western characters. This problem occurs for instance when the Pipeline Lite Narrator delegates the mathematical formulas processing to a third-party plugin (such as Design Science MathDAISY).

To circumvent this limitation, the Pipeline Lite copies any file that needs to be processed by a third-party executable to a temporary directory, by default the user's temporary directory defined by MS Windows. Because this default directory is usually located under the user's home directory, its path may contain unsafe non-western characters (for instance if the user name contains such characters). In such a case the user can override the default and specify a safe temporary directory by editing the following lines in the file "pipeline.user.properties" located in the Pipeline Lite installation directory:

<!-- directory to store temporary files in -->

<entry key="pipeline.tempDir">C:\\Path\\To\\Custom\\Dir</entry>

(Note that backslash path separators must be doubled.)


ValidationRules

Introduction:

This document provides different validation rules.


Levels and Headings

Headings:
  • Same level of "Heading" with empty text in between will show validation error after translation.
  • Consecutive level of Headings should have some text in between.
  • It is highly recommended to use tables for tabular data and not for layout purposes. It is better to use styles specifically for the formatting you want to accomplish.
  • In the translation process, headings and sidebars etc. found inside a table will be converted to paragraphs. If you want to keep these as headings or side bars, please move them outside the table and use the appropriate style.


Rule2

Caption:
  • Captions for Table should be inserted above the Table and Captions for Images should be inserted below the image(s).
  • Image-Caption (DAISY) and Table-Caption (DAISY) custom styles should not be applied for the content of the list.


Rule3

Epigraph:

  • Epigraph (DAISY) and Epigraph-Author (DAISY) custom styles should not be applied for the content of the list.


Rule4

Poem:

  • Poem (DAISY), Poem-Author (DAISY), Poem-Title (DAISY) and
    Poem-Heading(DAISY) custom styles should not be applied for the content of the list.


Rule5

ListHeading:

  • List-Heading (DAISY) custom style should not be applied for the content of the list.


Rule6

Bridgehead:
  • Bridgehead (DAISY) custom style should not be applied for the content of the list.


Rule7

Prodnote:
  • Prodnote-Required (DAISY) and Prodnote-Optional (DAISY) custom styles should not be applied for the content of the list.


DefinitionList

  • Definition Data (DAISY) custom styles should not be applied for the content of the list.
  • Definition Term (DAISY) custom style should not be applied for the content of the list.